Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.relational
Class Value.JdbcCodes

    java.lang.Object
      org.hibernate.metamodel.relational.Value.JdbcCodes

Enclosing interface:
  Value

    public static class Value.JdbcCodes

extends Object

Used to track JDBC type usage throughout a series of potential recursive calls to component values since we do not know ahead of time which values correspond to which indexes of the jdbc type array.

Constructor Summary
`Value.JdbcCodes(int[] typeCodes)`

Method Summary
`int` | `getIndex()`
`int` | `nextJdbcCde()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Value.JdbcCodes

    public Value.JdbcCodes(int[] typeCodes)

Method Detail

### nextJdbcCde

    public int nextJdbcCde()

### getIndex

    public int getIndex()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.